package router

import (
	"kra/internal/modules/system/transport/handler"

	"github.com/gin-gonic/gin"
)

func RegisterPublic(group *gin.RouterGroup, engine *gin.Engine, handler *handler.Public) {
	base := group.Group("/base")
	base.POST("/captcha", handler.Captcha)
	base.POST("/login", handler.Login)
	init := group.Group("/init")
	init.POST("/checkdb", handler.CheckDatabase)
	init.POST("/initdb", handler.InitializeDatabase(engine))
}
